Loading...
Searching...
No Matches
L4Re::Util::Br_manager_timeout_hooks Struct Reference

Predefined server-loop hooks for a server with using the Br_manager and a timeout queue. More...

`#include <br_manager>`

Inheritance diagram for L4Re::Util::Br_manager_timeout_hooks:
Collaboration diagram for L4Re::Util::Br_manager_timeout_hooks:

## Additional Inherited Members

Public Types inherited from L4::Ipc_svr::Server_iface
typedef L4::Type_info::Demand | Demand
| Data type expressing server-side demand for receive buffers.
Public Member Functions inherited from L4::Ipc_svr::Timeout_queue_hooks< Br_manager_timeout_hooks, Br_manager >
l4_timeout_t | timeout ()
| get the time for the next timeout
void | setup_wait (l4_utcb_t *utcb, L4::Ipc_svr::Reply_mode mode)
| setup_wait() for the server loop
L4::Ipc_svr::Reply_mode | before_reply (l4_msgtag_t, l4_utcb_t *)
| server loop hook
int | add_timeout (Timeout *timeout, l4_kernel_clock_t time) override
| Add a timeout to the queue for time time.
int | remove_timeout (Timeout *timeout) override
| Remove timeout from the queue.
Public Member Functions inherited from L4::Ipc_svr::Server_iface
| Server_iface ()
| Make a server interface.
virtual int | alloc_buffer_demand (Demand const &demand)=0
| Tells the server to allocate buffers for the given demand.
virtual L4::Cap< void > | get_rcv_cap (int index) const =0
| Get capability slot allocated to the given receive buffer.
virtual int | realloc_rcv_cap (int index)=0
| Allocate a new capability for the given receive buffer.
template<typename T>
L4::Cap< T > | rcv_cap (int index) const
| Get given receive buffer as typed capability.
L4::Cap< void > | rcv_cap (int index) const
| Get receive cap with the given index as generic (void) type.
Data Fields inherited from L4::Ipc_svr::Timeout_queue_hooks< Br_manager_timeout_hooks, Br_manager >
Timeout_queue | queue
| Use this timeout queue.

## Detailed Description

Predefined server-loop hooks for a server with using the Br_manager and a timeout queue.

This class can be used for server loops that need the full package of buffer-register management and a timeout queue.

Definition at line 179 of file br_manager.

The documentation for this struct was generated from the following file:

- l4/re/util/br_manager